Marketplace doesn't work

Hello,

I have just installed ARM Developement Studio to evaluate this IDE before purchase. As I have been working in Eclipse based IDEs, the first thing I wanted to do was to download DevStyle theme from eclipse marketplace, because I can work only with dark themes.

And there is a problem on just beginning, because it doesn't work. I got communicate:

" Cannot complete the install because one or more required items could not be found.
  Software being installed: DevStyle (includes Darkest Dark Theme) 1.11.0.201909171704 (com.genuitec.eclipse.theming.feature.feature.group 1.11.0.201909171704)
  Missing requirement: Startup 1.11.0.201909171704 (com.genuitec.eclipse.startup 1.11.0.201909171704) requires 'bundle org.eclipse.wst.common.frameworks 0.0.0' but it could not be found
  Cannot satisfy dependency:
    From: DevStyle (includes Darkest Dark Theme) 1.11.0.201909171704 (com.genuitec.eclipse.theming.feature.feature.group 1.11.0.201909171704)
    To: com.genuitec.eclipse.startup [1.11.0.201909171704] "

Some plugins works, some not. This is first time when I have problems with marketplace and it saddens me a bit that such IDE has problems from the very beginning.

Any suggestions what is wrong? I have 4 other IDEs based on Eclipse, all of them works ok.

Arek

More questions in this forum